Package org.eclipse.emf.cdo.ui

# Interface CDOTopicProvider.Listener

Enclosing interface:
  `CDOTopicProvider`

public static interface CDOTopicProvider.Listener
Notifies about `additions` to and `removals` from the array of topics of a `topic provider`.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`topicAdded(CDOTopicProvider provider, CDOTopicProvider.Topic topic)`
`void`
`topicRemoved(CDOTopicProvider provider, CDOTopicProvider.Topic topic)`

## Method Details

### topicAdded

void topicAdded(CDOTopicProvider provider, CDOTopicProvider.Topic topic)

### topicRemoved

void topicRemoved(CDOTopicProvider provider, CDOTopicProvider.Topic topic)